Bug 418671 - Review Request: ruby-libvirt - Ruby bindings for libvirt
Review Request: ruby-libvirt - Ruby bindings for libvirt
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 14:24 EST by David Lutterkort
Modified: 2013-04-30 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.0.2-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 16:10:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
berrange: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2007-12-10 14:24:40 EST
Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-libvirt.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-libvirt-0.0.2-1.src.rpm
Description: 

Ruby bindings for libvirt.
Comment 1 Daniel Berrange 2007-12-19 13:42:43 EST
MUST: rpmlint must be run on every package.

  $ rpmlint  /home/berrange/rpm/RPMS/x86_64/ruby-libvirt-0.0.2-1.fc9.x86_64.rpm
  ruby-libvirt.x86_64: W: unstripped-binary-or-object
/usr/lib64/ruby/site_ruby/1.8/x86_64-linux/_libvirt.so

 - PASS

MUST: The package must be named according to the Package Naming Guidelines.

 - PASS

MUST: The spec file name must match the base package %{name}

 - PASS

MUST: The package must meet the Packaging Guidelines.

 - PASS

MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines.

 - PASS

MUST: The License field in the package spec file must match the actual license.

 - PASS

MUST: If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.

 - PASS

MUST: The spec file must be written in American English.

 - PASS

MUST: The spec file for the package MUST be legible.

 - PASS

MUST: The sources used to build the package must match the upstream source

 - FAIL - the download URL is a 404

    http://libvirt.org/ruby/downloads/ruby-libvirt-0.0.2.tgz


MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture.

 - PASS

MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in ExcludeArch.

 - PASS

MUST: All build dependencies must be listed in BuildRequires

 - PASS

MUST: The spec file MUST handle locales properly

 - PASS


MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun.

 - PASS n/a

MUST: If the package is designed to be relocatable, the packager must state this
fact in the request for review

 - PASS n/a

MUST: A package must own all directories that it creates.

 - PASS

MUST: A package must not contain any duplicate files in the %files listing.

 - PASS

MUST: Permissions on files must be set properly.

 - PASS

MUST: Each package must have a %clean section

 - PASS

MUST: Each package must consistently use macros

 - FAIL - should use %{buildroot} instead of $RPM_BUILD_ROOT

MUST: The package must contain code, or permissable content

 - PASS

MUST: Large documentation files should go in a -doc subpackage

 - PASS n/a

MUST: If a package includes something as %doc, it must not affect the runtime of
the application

 - PASS

MUST: Header files must be in a -devel package.

 - PASS n/a

MUST: Static libraries must be in a -static package.

 - PASS n/a

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'

 - PASS n/a

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.

 - PASS n/a

MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency

 - PASS n/a

MUST: Packages must NOT contain any .la libtool archives

 - PASS n/a

MUST: Packages containing GUI applications must include a %{name}.desktop file

 - PASS n/a

MUST: Packages must not own files or directories already owned by other packages

 - PASS

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}

 - PASS

MUST: All filenames in rpm packages must be valid UTF-8.

 - PASS

SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.

 - PASS n/a

SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available.

 - PASS n/a

SHOULD: The reviewer should test that the package builds in mock.

 - PASS  x86_64 rawhide

SHOULD: The package should compile and build into binary rpms on all supported
architectures.

 - PASS i386 & x86_64

SHOULD: The reviewer should test that the package functions as described.

 - PASS

SHOULD: If scriptlets are used, those scriptlets must be sane.

 - PASS n/a

SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency.

 - PASS n/a

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this
is usually for development purposes, so should be placed in a -devel pkg.

 - PASS n/a

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself.

 - PASS n/a


In summary:

 - Fix source URL
 - Fix use of $RPM_BUILD_ROOT to be %{buildroot}
Comment 2 David Lutterkort 2007-12-19 14:01:09 EST
Thanks for the reveiw. I fixed the two issues.

Spec URL: http://people.redhat.com/dlutter/yum/spec/ruby-libvirt.spec
SRPM URL: http://people.redhat.com/dlutter/yum/SRPMS/ruby-libvirt-0.0.2-2.src.rpm
Comment 3 Daniel Berrange 2007-12-19 14:08:16 EST
Approved!
Comment 4 David Lutterkort 2007-12-19 17:32:43 EST
New Package CVS Request
=======================
Package Name: ruby-libvirt
Short Description: Ruby bindings for libvirt
Owners: lutter
Branches: F-8 devel
InitialCC: 
Cvsextras Commits:
Comment 5 Tom "spot" Callaway 2007-12-19 18:03:33 EST
cvs done
Comment 6 Fedora Update System 2007-12-21 16:10:13 EST
ruby-libvirt-0.0.2-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Chris Lalancette 2011-01-14 15:14:59 EST
Package Change Request
======================
Package Name: ruby-libvirt
New Branches: el5 el6
Owners: clalance
Comment 8 Jason Tibbitts 2011-01-19 16:58:14 EST
EL-5 and EL-6 branches already exist for this package.
Comment 9 Chris Lalancette 2011-01-20 10:24:58 EST
You are right, of course.  Sorry for the noise.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.